val arc = <recipetype:bloodmagic:arc>;

val noFluid = <fluid:minecraft:empty>;
val water = <fluid:minecraft:water>;

val expPowder = <tag:items:bloodmagic:arc/explosive>;
val hydrateCell = <tag:items:bloodmagic:arc/hydrate>;

val tier3BloodOrb = <item:bloodmagic:magicianbloodorb>;
val gunpowderBlock = <tag:items:forge:storage_blocks/gunpowder>;
val tier1Slate = <item:bloodmagic:blankslate>;
val cobblestone = <tag:items:forge:cobblestone>;
val expCell = <item:bloodmagic:primitive_explosive_cell>;

val ironOre    = <tag:items:forge:ores/iron>;
val goldOre    = <tag:items:forge:ores/gold>;
val copperOre  = <tag:items:forge:ores/copper>;
val tinOre     = <tag:items:forge:ores/tin>;
val leadOre    = <tag:items:forge:ores/lead>;
val osmiumOre  = <tag:items:forge:ores/osmium>;
val uraniumOre = <tag:items:forge:ores/uranium>;

val ironShard    = <item:mekanism:shard_iron>;
val goldShard    = <item:mekanism:shard_gold>;
val copperShard  = <item:mekanism:shard_copper>;
val tinShard     = <item:mekanism:shard_tin>;
val leadShard    = <item:mekanism:shard_lead>;
val osmiumShard  = <item:mekanism:shard_osmium>;
val uraniumShard = <item:mekanism:shard_uranium>;

val ironClump    = <item:mekanism:clump_iron>;
val goldClump    = <item:mekanism:clump_gold>;
val copperClump  = <item:mekanism:clump_copper>;
val tinClump     = <item:mekanism:clump_tin>;
val leadClump    = <item:mekanism:clump_lead>;
val osmiumClump  = <item:mekanism:clump_osmium>;
val uraniumClump = <item:mekanism:clump_uranium>;

val ironDust    = <item:mekanism:dust_iron>;
val goldDust    = <item:mekanism:dust_gold>;
val copperDust  = <item:mekanism:dust_copper>;
val tinDust     = <item:mekanism:dust_tin>;
val leadDust    = <item:mekanism:dust_lead>;
val osmiumDust  = <item:mekanism:dust_osmium>;
val uraniumDust = <item:mekanism:dust_uranium>;

val ironFrag = <item:bloodmagic:ironfragment>;
val goldFrag = <item:bloodmagic:goldfragment>;

// Remove Old Recipes

arc.removeRecipe(ironFrag);
arc.removeRecipe(goldFrag);

// Add Primitive Explosive Cell

craftingTable.addShaped("bm_primitive_explosive_cell", expCell, [
	[cobblestone, tier1Slate, cobblestone],
	[cobblestone, gunpowderBlock, cobblestone],
	[cobblestone, tier3BloodOrb.reuse(), cobblestone]]);

// Add Ore Processing

arc.addRecipe("arc_iron_shard_from_ore",    ironShard * 4,    noFluid, ironOre,    water * 250, hydrateCell, false);
arc.addRecipe("arc_gold_shard_from_ore",    goldShard * 4,    noFluid, goldOre,    water * 250, hydrateCell, false);
arc.addRecipe("arc_copper_shard_from_ore",  copperShard * 4,  noFluid, copperOre,  water * 250, hydrateCell, false);
arc.addRecipe("arc_tin_shard_from_ore",     tinShard * 4,     noFluid, tinOre,     water * 250, hydrateCell, false);
arc.addRecipe("arc_lead_shard_from_ore",    leadShard * 4,    noFluid, leadOre,    water * 250, hydrateCell, false);
arc.addRecipe("arc_osmium_shard_from_ore",  osmiumShard * 4,  noFluid, osmiumOre,  water * 250, hydrateCell, false);
arc.addRecipe("arc_uranium_shard_from_ore", uraniumShard * 4, noFluid, uraniumOre, water * 250, hydrateCell, false);

arc.addRecipe("arc_iron_clump_from_ore",    ironClump * 3,    noFluid, ironOre,    noFluid, expPowder, false);
arc.addRecipe("arc_gold_clump_from_ore",    goldClump * 3,    noFluid, goldOre,    noFluid, expPowder, false);
arc.addRecipe("arc_copper_clump_from_ore",  copperClump * 3,  noFluid, copperOre,  noFluid, expPowder, false);
arc.addRecipe("arc_tin_clump_from_ore",     tinClump * 3,     noFluid, tinOre,     noFluid, expPowder, false);
arc.addRecipe("arc_lead_clump_from_ore",    leadClump * 3,    noFluid, leadOre,    noFluid, expPowder, false);
arc.addRecipe("arc_osmium_clump_from_ore",  osmiumClump * 3,  noFluid, osmiumOre,  noFluid, expPowder, false);
arc.addRecipe("arc_uranium_clump_from_ore", uraniumClump * 3, noFluid, uraniumOre, noFluid, expPowder, false);

// Add Shard Processing

arc.addRecipe("arc_iron_clump_from_shard",    ironClump,    noFluid, ironShard,    noFluid, expPowder, false);
arc.addRecipe("arc_gold_clump_from_shard",    goldClump,    noFluid, goldShard,    noFluid, expPowder, false);
arc.addRecipe("arc_copper_clump_from_shard",  copperClump,  noFluid, copperShard,  noFluid, expPowder, false);
arc.addRecipe("arc_tin_clump_from_shard",     tinClump,     noFluid, tinShard,     noFluid, expPowder, false);
arc.addRecipe("arc_lead_clump_from_shard",    leadClump,    noFluid, leadShard,    noFluid, expPowder, false);
arc.addRecipe("arc_osmium_clump_from_shard",  osmiumClump,  noFluid, osmiumShard,  noFluid, expPowder, false);
arc.addRecipe("arc_uranium_clump_from_shard", uraniumClump, noFluid, uraniumShard, noFluid, expPowder, false);

// Add Clump Processing

arc.addRecipe("arc_iron_dust_from_clump",    ironDust,    noFluid, ironClump,    noFluid, expPowder, false);
arc.addRecipe("arc_gold_dust_from_clump",    goldDust,    noFluid, goldClump,    noFluid, expPowder, false);
arc.addRecipe("arc_copper_dust_from_clump",  copperDust,  noFluid, copperClump,  noFluid, expPowder, false);
arc.addRecipe("arc_tin_dust_from_clump",     tinDust,     noFluid, tinClump,     noFluid, expPowder, false);
arc.addRecipe("arc_lead_dust_from_clump",    leadDust,    noFluid, leadClump,    noFluid, expPowder, false);
arc.addRecipe("arc_osmium_dust_from_clump",  osmiumDust,  noFluid, osmiumClump,  noFluid, expPowder, false);
arc.addRecipe("arc_uranium_dust_from_clump", uraniumDust, noFluid, uraniumClump, noFluid, expPowder, false);

// Script written by FoxMcloud5655